TypeScript
import { Configuration, BrandsApi } from "@zippendo/sdk"
const api = new BrandsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.listOrgBrands({ orgId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BrandsApi(client).list_org_brands("...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BrandsApi(new GuzzleHttp\Client(), $config);
$result = $api->listOrgBrands("...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BrandsAPI.ListOrgBrands(ctx, "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BrandsApi.new.list_org_brands("...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/brands")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "brnd_8f3kd92ld0",
"orgId": "org_8f3kd92ld0",
"name": "Acme",
"slug": "acme",
"useOrgCustoms": true,
"logoUrl": "/orgs/org_1/brands/brnd_1/logo",
"archivedAt": "2026-08-05T10:00:00.000Z",
"createdAt": "2026-06-22T14:30:00.000Z",
"updatedAt": "2026-06-22T14:30:00.000Z",
"companyName": "Acme ApS",
"vatNumber": "DK12345678",
"customs": {
"eori": "DK12345678"
},
"addressLine1": "Vestergade 12",
"addressLine2": "3. sal",
"city": "København",
"postalCode": "1456",
"country": "DK",
"primaryColor": "#1D4ED8",
"secondaryColor": "#F59E0B"
}
]
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Brands
List brands
Returns the organization’s brands (sub-accounts). Archived brands are excluded unless includeArchived is set.
GET
/
orgs
/
{orgId}
/
brands
TypeScript
import { Configuration, BrandsApi } from "@zippendo/sdk"
const api = new BrandsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.listOrgBrands({ orgId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BrandsApi(client).list_org_brands("...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BrandsApi(new GuzzleHttp\Client(), $config);
$result = $api->listOrgBrands("...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BrandsAPI.ListOrgBrands(ctx, "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BrandsApi.new.list_org_brands("...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/brands")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "brnd_8f3kd92ld0",
"orgId": "org_8f3kd92ld0",
"name": "Acme",
"slug": "acme",
"useOrgCustoms": true,
"logoUrl": "/orgs/org_1/brands/brnd_1/logo",
"archivedAt": "2026-08-05T10:00:00.000Z",
"createdAt": "2026-06-22T14:30:00.000Z",
"updatedAt": "2026-06-22T14:30:00.000Z",
"companyName": "Acme ApS",
"vatNumber": "DK12345678",
"customs": {
"eori": "DK12345678"
},
"addressLine1": "Vestergade 12",
"addressLine2": "3. sal",
"city": "København",
"postalCode": "1456",
"country": "DK",
"primaryColor": "#1D4ED8",
"secondaryColor": "#F59E0B"
}
]
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID
Example:
"org_8f3kd92ld0"
Query Parameters
Include archived brands in the response
Example:
false
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I